<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.WCF.RepmakerService.Client</name>
    </assembly>
    <members>
        <member name="T:Keysystems.WCF.RepmakerService.Client.ReportMaker">
            <summary>
            Клиентская реализация методов сервиса генерации отчетов.
            </summary>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.OnGenerateReport(Keysystems.WCF.RepmakerService.Common.CallbackEventArgs)">
            <summary>
            (Для внутреннего использования классом).
            Присылаемое с сервера уведомление об окончании генерации отчета.
            </summary>
            <param name="args">Передаваемые параметры.</param>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.OnConnectionAction(Keysystems.WCF.Common.ConnectionEventArgs)">
            <summary>
            (Для внутреннего использования классом).
            Присылаемые с сервера уведомления о подключениях/отключениях к сервису клиентов.
            </summary>
            <param name="args">Передаваемые параметры.</param>
        </member>
        <member name="F:Keysystems.WCF.RepmakerService.Client.ReportMaker.disposed">
            <summary>
            Указывает на то, что объект уже подвергся уничтожению.
            </summary>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.Dispose(System.Boolean,System.Boolean)">
            <summary>
            Реализация IDisposable.Dispose()
            </summary>
            <param name="disposing">Указывает на освобождения ресурсов, занятых объектом.</param>
            <param name="immediately">Указывает на необходимость незамедлительного действия.</param>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.Finalize">
            <summary>
            Деструктор.
            </summary>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.#ctor(Keysystems.WCF.Common.ConnectionParams)">
            <summary>
            Конструктор.
            </summary>
            <param name="сonnParams">Параметры соединения.</param>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.Close">
            <summary>
            Отключиться от сервиса.
            </summary>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.GenerateReport(Keysystems.Core.Repmaker.ReportParams,System.String,System.Text.StringBuilder@)">
            <summary>
            Сгенерировать отчет и сохранить его в каталог <paramref name="outdir"/>.
            </summary>
            <param name="reportParams">Параметры для генерации отчета.</param>
            <param name="outDir">Выходной каталог для файлов отчета.</param>
            <param name="protocol">Протокол.</param>
            <returns>Список имен файлов, входящих в отчет, или #КодОшибки.</returns>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Client.ReportMaker.BreakReportGenerating">
            <summary>
            Прервать генерацию отчета.
            </summary>
        </member>
        <member name="E:Keysystems.WCF.RepmakerService.Client.ReportMaker.ReportGenerated">
            <summary>
            Возникающие на сервере события в процессе генерации отчета.
            </summary>
        </member>
        <member name="E:Keysystems.WCF.RepmakerService.Client.ReportMaker.ClientConnected">
            <summary>
            Возникающие на сервере события о подключениях клиентов.
            </summary>
        </member>
        <member name="E:Keysystems.WCF.RepmakerService.Client.ReportMaker.ClientDisconnected">
            <summary>
            Возникающие на сервере события об отключениях клиентов.
            </summary>
        </member>
        <member name="P:Keysystems.WCF.RepmakerService.Client.ReportMaker.ConnectionParams">
            <summary>
            {Get} Параметры подключения к сервису.
            </summary>
        </member>
        <member name="T:Keysystems.WCF.RepmakerService.Client.CallbackEventHandler">
            <summary>
            Обработчик обратных вызовов, поступающих с сервера.
            </summary>
            <param name="sender">Источник события.</param>
            <param name="args">Параметры, передающиеся при возникновении события.</param>
        </member>
        <member name="T:Keysystems.WCF.RepmakerService.Client.Repmaker.RepmakerServiceClient">
            <summary>
            Клиентская реализация методов сервиса генерации отчетов.
            </summary>
        </member>
    </members>
</doc>
